- Home
- API Enriched
- Shape
- shape
- List Form Fields By Script.
List Form Fields By Script.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/formFields';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/formFields \ --header 'Authorization: <Authorization>'List all the form fields for a script depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
ID script ID.
Query Parameters
Section titled “Query Parameters”X-required format: unix epoch timestamp in seconds fetch form fields whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch form fields whose timestamp <= end_time.
Responses
Section titled “Responses”A successful response.
Response to list form fields for input script.
object
List of form fields for input script depending on start time and end time.
Form field information filtered by script.
object
Format: unix epoch timestamp in milliseconds First read time of the form field by the script.
ID of the form field.
Format: unix epoch timestamp in milliseconds Last read time of the form field by the script.
Name of the form field.
Risk level of the form field read by script.
Status of the script.
Total size of scripts.
Examplegenerated
{ "form_fields": [ { "first_read": "example", "id": "example", "last_read": "example", "name": "example", "risk_level": "example" } ], "status": "example", "total_size": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example